Messages

Get a message

Fetches a message and its current delivery status.

GET
/v1/messages/{id}

Fetches a message and its current delivery status.

Authorization

bearer
headerAuthorizationBearer <JWT>

Your secret API key: sk_live_… for live traffic or sk_test_… for testing.

Path Parameters

id*string

Response Body

The message.

application/json
Example Request
curl -X GET 'https://api.appstractone.com/v1/messages/string'
Example Response
{
  "id": "msg_01M6MJSBSRYJK72AC5E720F8KQ",
  "to": "+233241234567",
  "from": "MYSHOP",
  "text": "Your order #1042 is on its way.",
  "status": "delivered",
  "encoding": "GSM-7",
  "segments": 1,
  "cost": {
    "amount": "0.04",
    "currency": "GHS"
  },
  "reference": "order-1042",
  "batchId": null,
  "test": true,
  "errorCode": null,
  "createdAt": "2026-11-05T00:47:20.380Z",
  "sentAt": null,
  "deliveredAt": "2026-11-05T00:47:20.376Z"
}